unit Frmcsel;

interface


uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, SDL_Colsel;

type
  TForm1 = class(TForm)
    CSelText: TColSel;
    PnlTestColors: TPanel;
    CSelBakG: TColSel;
    Label1: TLabel;
    Label2: TLabel;
    BButExit: TBitBtn;
    BButLoadStandardColors: TBitBtn;
    BButLoadRandomColors: TBitBtn;
    BButLoadBasicVGAColors: TBitBtn;
    BButLoadWinSystemColors: TBitBtn;
    CBoxColorEditableText: TCheckBox;
    CBoxColorEditableBkgnd: TCheckBox;
    BBufLoadUserDefColors: TBitBtn;
    procedure BButExitClick(Sender: TObject);
    procedure CSelTextChange(Sender: TObject);
    procedure CSelBakGChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure BButLoadRandomColorsClick(Sender: TObject);
    procedure BButLoadBasicVGAColorsClick(Sender: TObject);
    procedure BButLoadStandardColorsClick(Sender: TObject);
    procedure BButLoadWinSystemColorsClick(Sender: TObject);
    procedure CBoxColorEditableTextClick(Sender: TObject);
    procedure CBoxColorEditableBkgndClick(Sender: TObject);
    procedure BBufLoadUserDefColorsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  NumUserDefCols = 4;
  UserDefColors : array[1..NumUserDefCols] of TColor =
                     ($404080, $2006000, $0080FF, $471EB5);
  UserDefColNames : array[1..NumUserDefCols] of string =
                     ('brown', 'moss', 'orange', 'cherry');
                     

(*************************************************************)
procedure TForm1.BButExitClick(Sender: TObject);
(*************************************************************)

begin
close;
end;

(*************************************************************)
procedure TForm1.CSelTextChange(Sender: TObject);
(*************************************************************)

begin
PnlTestColors.Font.Color := CSelText.SelColor;
end;

(*************************************************************)
procedure TForm1.CSelBakGChange(Sender: TObject);
(*************************************************************)

begin
PnlTestColors.Color := CSelBakG.SelColor;
end;

(*************************************************************)
procedure TForm1.FormActivate(Sender: TObject);
(*************************************************************)

begin
CSelBakG.SelColor := PnlTestColors.Color;
CSelText.SelColor := PnlTestColors.Font.Color;
end;


(*************************************************************)
procedure TForm1.BButLoadRandomColorsClick(Sender: TObject);
(*************************************************************)

var
  i : integer;

begin
CSelText.NumColors := 32;
for i:=1 to 32 do
  CSelText.Colors[i] := TColor(random($FFFFFF));
end;

(*************************************************************)
procedure TForm1.BButLoadBasicVGAColorsClick(Sender: TObject);
(*************************************************************)

begin
CSelText.LoadBasicVGAPalette;
end;

(*************************************************************)
procedure TForm1.BButLoadStandardColorsClick(Sender: TObject);
(*************************************************************)

begin
CSelText.LoadStandardPalette;
end;

(*************************************************************)
procedure TForm1.BButLoadWinSystemColorsClick(Sender: TObject);
(*************************************************************)

begin
CSelText.LoadWindowsSystemPalette;
end;


(*************************************************************)
procedure TForm1.CBoxColorEditableTextClick(Sender: TObject);
(*************************************************************)

begin
if CBoxColorEditableText.Checked
  then CSelText.SetAllColorEditFlags
  else CSelText.ResetAllColorEditFlags;
end;

(*************************************************************)
procedure TForm1.CBoxColorEditableBkgndClick(Sender: TObject);
(*************************************************************)

begin
if CBoxColorEditableBkgnd.Checked
  then CSelBakG.SetAllColorEditFlags
  else CSelBakG.ResetAllColorEditFlags;
end;

(*************************************************************)
procedure TForm1.BBufLoadUserDefColorsClick(Sender: TObject);
(*************************************************************)

var
  i : integer;

begin
CSelText.NumColors := NumUserDefCols;
for i:=1 to NumUserDefCols do
  begin
  CSelText.Colors[i] := UserDefColors[i];
  if not SDL_ColSel.IsLightEd then
    CSelText.ColorNames[i] := UserDefColNames[i];
  end;
end;

end.
